🚀 New: Edit Shoppex themes from the dashboard, the CLI, or an AI agent — one unified workflow. Learn more →
curl --request GET \
--url https://api.shoppex.io/dev/v1/subscriptions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "sub_1",
"shop_id": "shop_1",
"product_id": "prod_membership",
"product": {
"id": "prod_membership",
"uniqid": "prod_public_membership",
"title": "Pro Membership",
"type": "SUBSCRIPTION",
"subtype": "MONTHLY",
"price": 19.99,
"price_display": 19.99,
"currency": "USD"
},
"uniqid": "sub_public_1",
"status": "ACTIVE",
"gateway": "STRIPE",
"origin": null,
"custom_fields": {
"plan": "pro"
},
"customer_id": "cus_1",
"payment_link_id": null,
"stripe_subscription_id": "sub_stripe_1",
"paypal_subscription_id": null,
"coupon_id": null,
"current_period_start": 1711510800,
"current_period_end": 1714102800,
"trial_end": null,
"renewal_invoice_created": false,
"trial_period_ending_email_sent": false,
"upcoming_email_1_week_sent": false,
"status_details": null,
"cancel_reason_id": null,
"cancel_reason_comment": null,
"created_at": 1711510800,
"updated_at": 1711510860,
"canceled_at": null
}
],
"pagination": {
"next_cursor": null,
"has_more": false
}
}Developer API operation for GET /dev/v1/subscriptions.
curl --request GET \
--url https://api.shoppex.io/dev/v1/subscriptions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "sub_1",
"shop_id": "shop_1",
"product_id": "prod_membership",
"product": {
"id": "prod_membership",
"uniqid": "prod_public_membership",
"title": "Pro Membership",
"type": "SUBSCRIPTION",
"subtype": "MONTHLY",
"price": 19.99,
"price_display": 19.99,
"currency": "USD"
},
"uniqid": "sub_public_1",
"status": "ACTIVE",
"gateway": "STRIPE",
"origin": null,
"custom_fields": {
"plan": "pro"
},
"customer_id": "cus_1",
"payment_link_id": null,
"stripe_subscription_id": "sub_stripe_1",
"paypal_subscription_id": null,
"coupon_id": null,
"current_period_start": 1711510800,
"current_period_end": 1714102800,
"trial_end": null,
"renewal_invoice_created": false,
"trial_period_ending_email_sent": false,
"upcoming_email_1_week_sent": false,
"status_details": null,
"cancel_reason_id": null,
"cancel_reason_comment": null,
"created_at": 1711510800,
"updated_at": 1711510860,
"canceled_at": null
}
],
"pagination": {
"next_cursor": null,
"has_more": false
}
}